org.apache.solr.update

## Class UpdateLog.RecentUpdates

- java.lang.Object
- - org.apache.solr.update.UpdateLog.RecentUpdates

- All Implemented Interfaces:
    Closeable, AutoCloseable
  Enclosing class:
    UpdateLog

      public class UpdateLog.RecentUpdates
      extends Object
      implements Closeable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RecentUpdates(Deque<TransactionLog> logList)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `List<Object>` | `getDeleteByQuery(long afterVersion)` Returns the list of deleteByQueries that happened after the given version
    `int` | `getLatestOperation()`
    `long` | `getMaxRecentVersion()`
    `List<Long>` | `getVersions(int n)`
    `List<Long>` | `getVersions(int n, long maxVersion)`
    `Object` | `lookup(long version)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RecentUpdates

          public RecentUpdates(Deque<TransactionLog> logList)

  - ### Method Detail

    - #### getVersions

          public List<Long> getVersions(int n)

    - #### getVersions

          public List<Long> getVersions(int n,
                                        long maxVersion)

    - #### lookup

          public Object lookup(long version)

    - #### getDeleteByQuery

          public List<Object> getDeleteByQuery(long afterVersion)

      Returns the list of deleteByQueries that happened after the given version

    - #### getLatestOperation

          public int getLatestOperation()

    - #### close

          public void close()

      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`

    - #### getMaxRecentVersion

          public long getMaxRecentVersion()

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.